Subject: [Simple] CPIM example in RFC 4975 is incorrect

From: Erik van der Velden <[email-masked]>
Date: Tue, 6 Jul 2010 06:39:38 +0000

Hello all,

We have found what we think is a (minor) error in the CPIM example in
section 11.4 of RFC 4975.
According to the RFC 3862, there must be an extra cr/lf between the CPIM
headers and the content-type header of the embedded mime content.
Before sending this as an errata, I'd like this mailinglist to confirm
this.

More specifically. The example in 11.4 shows the following:

      MSRP d93kswow SEND
      To-Path: msrp://bobpc.example.com:8888/9di4eae923wzd;tcp
      From-Path: msrp://alicepc.example.com:7654/iau39soe2843z;tcp
      Message-ID: 12339sdqwer
      Byte-Range: 1-137/148
      Content-Type: message/cpim

      To: Bob <sip:[email-masked]>
      From: Alice <sip:[email-masked]>
      DateTime: 2006-05-15T15:02:31-03:00
      Content-Type: text/plain

      ABCD
      -------d93kswow+

But this should be (according to RFC 3862):

      MSRP d93kswow SEND
      To-Path: msrp://bobpc.example.com:8888/9di4eae923wzd;tcp
      From-Path: msrp://alicepc.example.com:7654/iau39soe2843z;tcp
      Message-ID: 12339sdqwer
      Byte-Range: 1-137/148
      Content-Type: message/cpim

      To: Bob <sip:[email-masked]>
      From: Alice <sip:[email-masked]>
      DateTime: 2006-05-15T15:02:31-03:00

      Content-Type: text/plain

      ABCD
      -------d93kswow+

This is extra confusing since also the examples in RFC 5547 seem to make
exactly the same mistake.

Thanks, Erik

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 06 Jul 2010 14:15:12 -0600

Do feel free to report it:

http://www.rfc-editor.org/errata.php

On 7/6/10 12:39 AM, Erik van der Velden wrote:
> Before sending this as an errata, I'd like this mailinglist to confirm this.
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple

---

From: Ben Campbell <[email-masked]>
Date: Tue, 6 Jul 2010 20:20:06 -0500

[as individual, and RFC author]

My quick scan of the relevant RFCs seems to support your findings. An errata entry would be reasonable. 

Thanks!

Ben.

On Jul 6, 2010, at 1:39 AM, Erik van der Velden wrote:

> Hello all,
> 
> We have found what we think is a (minor) error in the CPIM example in section 11.4 of RFC 4975.
> According to the RFC 3862, there must be an extra cr/lf between the CPIM headers and the content-type header of the embedded mime content.
> This is extra confusing since also the examples in RFC 5547 seem to make exactly the same mistake.
> 
> Thanks, Erik